package MT::Plugin::SortByTitle;

use strict;
use base qw( MT::Plugin );
use MT;

our $VERSION = '0.01';

my $plugin = __PACKAGE__->new({
    id => 'SortByTitle',
    name => 'SortByTitle',
    version => $VERSION,
    description => 'SortByTitle',
    author_name => 'Yujiro Araki',
    author_link => 'http://www.koikikukan.com/',
    l10n_class  => 'SessionTimeoutExtender::L10N',
});
MT->add_plugin( $plugin );

sub instance { $plugin; }

sub init_registry {
    my $plugin = shift;
    $plugin->registry({
        callbacks => {
            init_request => {
                code => \&plugin_init_request,
                priority => 11,
            },
        },
    }),
}
sub plugin_init_request {
    my ($eh, $app) = @_;
    my $core = MT->component("core");
    $core->registry("listing_screens","entry",
        { default_sort_key => "title" });
#    $core->registry("list_properties","entry","title",
#        { default_sort_order => "ascend" });
    1;
}

